/**
 * This implements a very specific test to follow the car using a loop.
 *
 * The main purpose is to test all the image searching algorithms, especially for
 * efficiency.
 * 
 * Created by: Andrew Armstrong
 * Last Modified: 04/05/08
 */
import java.util.*;
import java.awt.*;
import java.awt.image.*;
 
public class FollowCarTest implements Runnable {

	// Debugging / engine camera
	private CarAIMain parentCarAIMain;
	private Camera camera;
	
	boolean stopThread = false;

	// Thread for the camera
	Thread followCarTestThread;
	
	// Image needed
	private BufferedImage referenceImage;
	
	// Constructor
	public FollowCarTest(CarAIMain passedCarAIMain, Camera passedCamera) {
		parentCarAIMain = passedCarAIMain;
		camera = passedCamera;
	}
	
	// Start  thread
	public void followCarTestStart() {
		// Store reference image
		referenceImage = parentCarAIMain.staticCamImg.image.getImage();
		
		// Begin thread
		stopThread = false;
		followCarTestThread = new Thread(this);
		followCarTestThread.start();
	}

	// End thread
	public void followCarTestEnd() {
		// Stop the thread
		stopThread = true;
	}
	
	// Thread
	public void run()
	{
		//Determine which Thread is currently running
		Thread thisThread = Thread.currentThread();

		//Actions for main sim thread
		while (followCarTestThread == thisThread){
			// Stop
			if(stopThread == true)
			{				
				followCarTestThread = null;
				parentCarAIMain.log("FollowCarTest stopped");
			}
			else
			{
				// Else track using function
				// Need images
				/// *******************
				/// Uncommented now since it is not being used to test any more
				///********************
/*
				// Get live image
				BufferedImage liveImage = parentCarAIMain.camImg.getLiveImage();
				// Do thresholding first on live image (we need a new buffered image for this) (only on needed area)
				BufferedImage image = camera.imageThresholder.applyThresholdToImage(liveImage, trackMinX, trackMaxX, trackMinY, trackMaxY);
				// Frame Differencing
				FrameDifferencing.frameDifferenceDirectly(referenceImage, image, trackMinX, trackMaxX, trackMinY, trackMaxY);

				parentCarAIMain.engine.drivingAI.navigationAI.car.findCarAroundPastCoordinates(liveImage, image);
*/
				// Sleep thread for a second
				try{
					Thread.sleep(1000);
				} catch (InterruptedException e){
					parentCarAIMain.log("Error sleeping followCarTestThread. Error: " + e.toString());
				}
			}
		}
	}
}