/**
 * SimCar2D.java
 * Generates a polygon representation of the car object.
 * Called by Car.java and SimDraw.java, for use with CarAIMain.java.
 *
 * Car orientation:
 *
 *					A------B
 *            Rear  	     Front
 *					D------C
 *
 * Modified by: Andrew Armstrong, renamed to SimCar2D from Car2D.
 *
 * Created by: Chris Carter
 * Last Modified: 04.05.08
 *
 */
 
import java.awt.*;

public class SimCar2D extends Polygon {

	private final static long serialVersionUID = 1L;

	public SimCar2D(int[] xPoints, int[] yPoints){
		super(xPoints, yPoints, 4);
	}

}