/**
 * 	StaticControls.java
 *
 *	Interface for an on/off type car remote control.
 *	Contains drive and steer methods plus constants for specifying speed and direction.
 *
 *	Implemented by SimCarControl.java for use with SimControls.java
 *	Referenced by SimControl.java
 *
 *	Adapted from HardControl.java, created by:
 * 			Simon Lucas, Essex University (source available at: http://algoval.essex.ac.uk/cec2005/race/Parsoftware.html)
 *	Modified for PWM by:
 * 			Scott Culcheth, Loughborough University (2006)
 *
 *	Further modified and renamed by: Chris Carter
 *
 *	Last Modified: 08.03.07
 *
 */


public interface StaticControls {

    public static final int BACKWARD = -1;
    public static final int NOPOW = 0;
    public static final int FORWARD = 1;

    public static final int STRAIGHT = 0;
    public static final int RIGHT = 2;
    public static final int LEFT = 3;
	//public static final int RIGHTPOW = 4;
	//public static final int LEFTPOW = 5;

    //public static int ON = 1;
    //public static int OFF = 0;

    public void drive(int speed, int dir);
    public void steer(int dir);
    // public void speed(int dir);

    // call this to switch the car controls to off
    // before shutting down
    public void close(int exitCode);
}