package ppv;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import parport.PPVParallelPort;

/**
* PortViewerPanel.java
*
* Display class for parallel port interface
*
* Code originally by Soft Collection as part of Parallel Port Viewer
* Downloaded from: http://www.planet-source-code.com/vb/scripts/ShowCode.asp?txtCodeId=4309&lngWId=2
* Originally modified by: Chris Carter
*
* Last modified by: Andrew Armstrong (formatting mainly)
* Last Modified: 01.04.08
*
*/

public class PortViewerPanel extends JPanel{

	private final static long serialVersionUID = 1L;

	/*-----------Settings-----------*/
	public static final int LPT1=1;
	public static final int LPT2=2;
	public static final boolean OUT=false;
	public static final boolean IN=true;
	public static int currentLpt=LPT1;
	public static boolean currentInOut=OUT;
	//private String lptNumber[]={"LPT1  378h","LPT2  278h"};
	//private String lptState[]={"Data Out","Data In"};
	//private JComboBox lptNumberChoose=new JComboBox(lptNumber);
	//private JComboBox lptStateChoose=new JComboBox(lptState);
	// private JLabel lptNumberChooseLabel=new JLabel("Choose LPT Number");
	// private JLabel lptStateChooseLabel=new JLabel("Choose Data Port In/Out mode");
	private JLabel lptNumberChooseLabel=new JLabel("LPT Number: LPT1 378h");
	private JLabel lptStateChooseLabel=new JLabel("Data Port In/Out mode: Data Out");
	/*-------------Leds-------------*/
	private Image mapPicture = new ImageIcon(getClass().getResource("ParallelPort.gif")).getImage();
	// private Image mapPicture = mP.getScaledInstance(mP.getWidth(mP.getSource())),
	// 													mP.getHeight(mP.getSource())),
	// 													mP.SCALE_DEFAULT);
	private static int howManyLedsAre=8;//18;
	private Led ledsOnPortViewerArray[]=new Led[howManyLedsAre];
	private BitField bitFieldsOnPortViewerArray[]=new BitField[howManyLedsAre];
	private static boolean bitState[]=new boolean[howManyLedsAre];
	private static final int fieldCoordinateX[]={
		//393,552,(520) (375)
		330,298,
		268,236,
		204,171,
		140,107,
		//73,40,
		//104,137,
		//520,169,
		//490,458
	};
	private static final int fieldCoordinateY[]={
		//394,323,(75) (55)
		21, 21,
		21, 21,
		21, 21,
		21, 21,
		//323,323,
		//323,323,
		//323,323,
		//323,323
	};
	private static final int ledCoordinateX[]={
		//394,549,(516) (376)
		331,299,
		268,236,
		204,173,
		141,109,
		//261,229,
		//196,164,
		//531,499,
		//468,436
	};
	private static final int ledCoordinateY[]={
		//311,146,(146) (128)
		104,104,
		104,104,
		104,104,
		104,104,
		//146,146,
		//146,146,
		//197,197,
		//197,197
	};
	private static final String fieldToolTips[]={
		//"Bi-directional Enable","Bit 0 of Controll Port",
		"Bit 0 of Data Port","Bit 1 of Data Port",
		"Bit 2 of Data Port","Bit 3 of Data Port","Bit 4 of Data Port",
		"Bit 5 of Data Port","Bit 6 of Data Port","Bit 7 of Data Port",
		//"Bit 6 of Status Port","Bit 7 of Status Port","Bit 5 of Status Port",
		//"Bit 4 of Status Port","Bit 1 of Controll Port","Bit 3 of Status Port",
		//"Bit 2 of Controll Port","Bit 3 of Controll Port"
	};
	private static final String ledToolTips[]=fieldToolTips;
	/*-----------Parallel-----------*/
	private static boolean lptPort[] = new boolean[8];
	UpdateParallel updateParallel = new UpdateParallel();
	/*------------------------------*/
	SyncronizationOfAllElements syncronizationOfAllElements = new SyncronizationOfAllElements();
	SyncronizationOfInOut syncronizationOfInOut = new SyncronizationOfInOut();
	private static final int updateDelay = 100;


	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		g.drawImage(mapPicture,0,0,this);
	}

	public PortViewerPanel(){
		setLayout(null);
		setPreferredSize(new Dimension(mapPicture.getWidth(this),
		mapPicture.getHeight(this)));
		for (int i=0;i<howManyLedsAre;i++){
			bitFieldsOnPortViewerArray[i]=new BitField(fieldCoordinateX[i],fieldCoordinateY[i],i,fieldToolTips[i]);
			ledsOnPortViewerArray[i] = new Led(ledCoordinateX[i],ledCoordinateY[i],i,ledToolTips[i]);
			add(bitFieldsOnPortViewerArray[i]);
			add(ledsOnPortViewerArray[i]);
		}
		// lptnumberchooselabel.setfont(new font("arial",font.bold,12));
		// lptnumberchoose.setfont(new font("arial",font.bold,12));
		// lptstatechooselabel.setfont(new font("arial",font.bold,12));
		// lptstatechoose.setfont(new font("arial",font.bold,12));
		// int lptsettingcoordinatex=20;
		// lptnumberchooselabel.setbounds(lptsettingcoordinatex,
		//                                 15,
		//                                 lptnumberchooselabel.getpreferredsize().width,
		//                                 lptnumberchooselabel.getpreferredsize().height);
		// lptsettingcoordinatex += lptnumberchooselabel.getpreferredsize().width;
		//lptsettingcoordinatex += 10;
		//  lptsettingcoordinatex += 60;
		//  add(lptnumberchooselabel);
		//lptnumberchoose.setbounds(lptsettingcoordinatex,
		//                            10,
		//                            lptnumberchoose.getpreferredsize().width,
		//                            lptnumberchoose.getpreferredsize().height);
		// lptsettingcoordinatex += lptnumberchoose.getpreferredsize().width;
		//   lptsettingcoordinatex += 30;
		// add(lptnumberchoose);
		//   lptstatechooselabel.setbounds(lptsettingcoordinatex,
		//                                  15,
		//                                  lptstatechooselabel.getpreferredsize().width,
		//                                  lptstatechooselabel.getpreferredsize().height);
		// lptsettingcoordinatex += lptstatechooselabel.getpreferredsize().width;
		// lptsettingcoordinatex += 10;
		// add(lptstatechooselabel);
		//  lptstatechoose.setbounds(lptsettingcoordinatex,
		//                            10,
		//                            lptstatechoose.getpreferredsize().width,
		//                            lptstatechoose.getpreferredsize().height);
		// add(lptstatechoose);
		//   lptnumberchoose.addactionlistener(
		//     new actionlistener(){
		//       public void actionperformed(actionevent e){
		//         currentlpt=lptnumberchoose.getselectedindex()+1;
		//       }
		//     }
		//   );
		//   lptstatechoose.addactionlistener(
		//     new actionlistener(){
		//       public void actionperformed(actionevent e){
		//         currentinout=(lptstatechoose.getselectedindex()==0)?out:in;
		//       }
		//     }
		//   );

		updateParallel.start();
		syncronizationOfAllElements.start();
		syncronizationOfInOut.start();
	}

	private class UpdateParallel extends Thread{
		boolean lptPortTemp[] = new boolean[8];
		private boolean lptPortTempIsNotEqualToOutPins(){
			boolean Temp[]=null;
			if (currentLpt==LPT1) Temp = PPVParallelPort.getLPT1PortWithNoInverted();
			if (currentLpt==LPT2) Temp = PPVParallelPort.getLPT2PortWithNoInverted();
			for (int i=0;i<8;i++){
				if(lptPortTemp[i] != Temp[i]) return(true);
			}
			return(false);
		}
		private boolean lptPortTempIsNotEqualToLptPort(){
			for (int i=0;i<8;i++){
				if(lptPortTemp[i] != lptPort[i]) return(true);
			}
			return(false);
		}
		private void outPinsHasBeenChanged(){
			boolean Temp[]=null;
			if (currentLpt==LPT1) Temp = PPVParallelPort.getLPT1PortWithNoInverted();
			if (currentLpt==LPT2) Temp = PPVParallelPort.getLPT2PortWithNoInverted();
			for (int i=0;i<8;i++){
				lptPortTemp[i] = lptPort[i] = Temp[i];
			}
		}
		private void lptPortHasBeenChanged(){
			boolean Temp[] = new boolean[8];
			for (int i=0;i<8;i++){
				lptPortTemp[i] = Temp[i] = lptPort[i];
			}
			if (currentLpt==LPT1) PPVParallelPort.setLPT1PortWithNoInverted(Temp);
			if (currentLpt==LPT2) PPVParallelPort.setLPT2PortWithNoInverted(Temp);
		}
		public void run(){
			while(true){
				if (lptPortTempIsNotEqualToOutPins()) outPinsHasBeenChanged();
				if (lptPortTempIsNotEqualToLptPort()) lptPortHasBeenChanged();
				try{Thread.sleep(updateDelay);}catch(InterruptedException e){}
			}
		}
	}

	private class SyncronizationOfAllElements extends Thread{
		boolean allElementsTemp[] = new boolean[8];
		private boolean allElementsTempIsNotEqualToLeds(){
			for (int i=0;i<8;i++){
				if(allElementsTemp[i] != Led.ledsOnPortViewerArrayState[i]) return(true);
			}
			return(false);
		}
		private boolean allElementsTempIsNotEqualToFields(){
			for (int i=0;i<8;i++){
				if(allElementsTemp[i] != BitField.fieldsOnPortViewerArrayValue[i]) return(true);
			}
			return(false);
		}
		private boolean allElementsTempIsNotEqualToLptPort(){
			for (int i=0;i<8;i++){
				if(allElementsTemp[i] != lptPort[i]) return(true);
			}
			return(false);
		}
		private void ledsHasBeenChanged(){
			for (int i=0;i<8;i++){
				allElementsTemp[i] = lptPort[i] = BitField.fieldsOnPortViewerArrayValue[i] = Led.ledsOnPortViewerArrayState[i];
			}
		}
		private void fieldsHasBeenChanged(){
			for (int i=0;i<8;i++){
				allElementsTemp[i] = lptPort[i] = Led.ledsOnPortViewerArrayState[i] = BitField.fieldsOnPortViewerArrayValue[i];
			}
		}
		private void lptPortHasBeenChanged(){
			for (int i=0;i<8;i++){
				allElementsTemp[i] = Led.ledsOnPortViewerArrayState[i] = BitField.fieldsOnPortViewerArrayValue[i] = lptPort[i];
			}
		}
		public void run(){
			while(true){
				if (allElementsTempIsNotEqualToLptPort()) lptPortHasBeenChanged();
				if (allElementsTempIsNotEqualToLeds()) ledsHasBeenChanged();
				if (allElementsTempIsNotEqualToFields()) fieldsHasBeenChanged();
				try{Thread.sleep(updateDelay);}catch(InterruptedException e){}
			}
		}
	}

	private class SyncronizationOfInOut extends Thread{
		boolean inOutTemp;
		private void comboInOutHasBeenChanged(){
			inOutTemp = BitField.fieldsOnPortViewerArrayValue[0] = Led.ledsOnPortViewerArrayState[0] = currentInOut;
		}
		private void ledZeroHasBeenChanged(){
			inOutTemp = BitField.fieldsOnPortViewerArrayValue[0] = currentInOut = Led.ledsOnPortViewerArrayState[0];
			//  lptStateChoose.setSelectedIndex((Led.ledsOnPortViewerArrayState[0]==false)?0:1);
		}
		private void fieldZeroHasBeenChanged(){
			inOutTemp = currentInOut = Led.ledsOnPortViewerArrayState[0] = BitField.fieldsOnPortViewerArrayValue[0];
			//  lptStateChoose.setSelectedIndex((BitField.fieldsOnPortViewerArrayValue[0]==false)?0:1);
		}
		public void run(){
			while(true){
				if (inOutTemp != currentInOut) comboInOutHasBeenChanged();
				if (inOutTemp != Led.ledsOnPortViewerArrayState[0]) ledZeroHasBeenChanged();
				if (inOutTemp != BitField.fieldsOnPortViewerArrayValue[0]) fieldZeroHasBeenChanged();
				try{Thread.sleep(updateDelay);}catch(InterruptedException e){}
			}
		}
	}
}